## LassoSamlSubjectLocality LassoSamlSubjectLocality — <saml:SubjectLocality> |

## Functions

LassoNode * | lasso_saml_subject_locality_new ()

## Types and Values

struct | LassoSamlSubjectLocality

## Description

Figure 41. Schema fragment for saml:SubjectLocality

    <element name="SubjectLocality" type="saml:SubjectLocalityType"/>
    <complexType name="SubjectLocalityType">
      <attribute name="IPAddress" type="string" use="optional"/>
      <attribute name="DNSAddress" type="string" use="optional"/>
    </complexType>

## Functions

### lasso_saml_subject_locality_new ()

    LassoNode *
    lasso_saml_subject_locality_new (void);

Creates a new LassoSamlSubjectLocality object.

#### Returns

a newly created LassoSamlSubjectLocality object

## Types and Values

### struct LassoSamlSubjectLocality

    struct LassoSamlSubjectLocality {
    	LassoNode parent;

    	/* <attribute name="IPAddress" type="string" use="optional"/> */
    	char *IPAddress;
    	/* <attribute name="DNSAddress" type="string" use="optional"/> */
    	char *DNSAddress;
    };